Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.SharpZipBaseException Class Reference

SharpZipBaseException is the base exception class for the SharpZipLibrary. All library exceptions are derived from this. More...

Inheritance diagram for ICSharpCode.SharpZipLib.SharpZipBaseException:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.SharpZipBaseException:
[legend]

## Public Member Functions
| SharpZipBaseException ()
| Initializes a new instance of the SharpZipBaseException class.
| SharpZipBaseException (string message)
| Initializes a new instance of the SharpZipBaseException class with a specified error message.
| SharpZipBaseException (string message, Exception innerException)
| Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

## Protected Member Functions
| SharpZipBaseException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.

## Detailed Description

SharpZipBaseException is the base exception class for the SharpZipLibrary. All library exceptions are derived from this.

NOTE: Not all exceptions thrown will be derived from this class. A variety of other exceptions are possible for example ArgumentNullException

## Constructor & Destructor Documentation

## ◆ SharpZipBaseException() [1/4]

ICSharpCode.SharpZipLib.SharpZipBaseException.SharpZipBaseException | ( | SerializationInfo | info,
|  | StreamingContext | context )
| protected

Deserialization constructor.

Parameters

  info | System.Runtime.Serialization.SerializationInfo for this constructor
  context | StreamingContext for this constructor

## ◆ SharpZipBaseException() [2/4]

ICSharpCode.SharpZipLib.SharpZipBaseException.SharpZipBaseException | ( |  | ) |

Initializes a new instance of the SharpZipBaseException class.

## ◆ SharpZipBaseException() [3/4]

ICSharpCode.SharpZipLib.SharpZipBaseException.SharpZipBaseException | ( | string | message | ) |

Initializes a new instance of the SharpZipBaseException class with a specified error message.

Parameters

  message | A message describing the exception.

## ◆ SharpZipBaseException() [4/4]

ICSharpCode.SharpZipLib.SharpZipBaseException.SharpZipBaseException | ( | string | message,
|  | Exception | innerException )

Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

Parameters

  message | A message describing the exception.
  innerException | The inner exception

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/SharpZipBaseException.cs